- Update a comment on a post in the feed
Return a user's feed of posts
Return a user's homepage feed
Return a user profile's submitted content
Return channels followed by a user profile
Return the details of a single post within a feed
Return the engagement details of a single post within a feed
Like a post in the feed
Unlike a post in the feed
Bookmark a post in the feed
Unbookmark a post in the feed
Get the trackable URL for a post in the feed
Share a post in the feed
View a post in the feed
Unview a post in the feed
List the comment aliases available to the authenticated user
List the comments on a content post
Comment on a post in the feed
List the replies to a comment on a content post
Reply to a comment on a post in the feed
Report a Comment or Reply for a given post in the feed
Query for users that are able to be mentioned.
Delete a comment or reply on a post in the feed
Return the rendered content of a single post within the feed
Report a post in the feed
Acknowledge a post in the feed.
Returns the details of a single poll.
Respond to a poll.
Returns a user's feed of polls.
Update a comment on a pos...
Update an existing comment record. The body attribute can be provided and only those provided will be updated.
Response body data will be the updated record. Upon enabling expanded reactions types, the response will include the additional reaction types.
You may indicate a mention of a specific user by providing their user_id in the format of either {ref:user:<user_id>} or {ref:user::id:<user_id>}.
Security
oauth2_as_a_user(Required scopes: feeds.engage)
Comment data
- US1https://partner.socialchorus.com/v2/feed/posts/{content_id}/comments/{comment_id}
- US2https://partner.us2.onfirstup.com/v2/feed/posts/{content_id}/comments/{comment_id}
- EUhttps://partner.onfirstup.eu/v2/feed/posts/{content_id}/comments/{comment_id}
curl -i -X PUT \
'https://partner.socialchorus.com/v2/feed/posts/{content_id}/comments/{comment_id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"body": "This is an updated comment.",
"attachments": [
{
"url": "string",
"alt_text": "string"
}
]
}'Response
{ "data": [ { … } ] }